<div class="main-container">
  <his-header
    class="info-header"
  ></his-header>
  <div class="opd-order">
    <div class="left" [class.left-switch]="!isSideMenuVisible">
      <his-side-menu
        class="side-menu"
        [menuTitle]="menuTitles"
      ></his-side-menu>
    </div>

    <p-splitter class="main-layout" [panelSizes]="panelSizes">
      <ng-template pTemplate>
        <div class="panel-left">
          <div class="toolbar">
            <his-tool-bar [(sideMenuVisible)]="isSideMenuVisible" [title]="breadcurmb"></his-tool-bar>

            <div class="button-group">
              <!-- <p-button
                label="tab-list"
                styleClass="p-button-primey"
                (click)="addTablist('tab-list')"
              ></p-button> -->
              <p-button label="{{ '開立慢箋' | translate }}" styleClass="p-button-primey"
                (click)="onChronicOrderClick()"></p-button>
              <p-splitButton class="ditto-btn" icon="pi pi-plus" label="Ditto" styleClass="p-button-primey"
                [model]="dittoItem" (onClick)="onDittoClick()"></p-splitButton>
              <p-splitButton label="{{ '列印' | translate }}" styleClass="p-button-primey"
                (onClick)="onPrintClick()"></p-splitButton>
              <p-button label="{{ '預約掛號' | translate }}" styleClass="p-button-primey"
                (click)="onRegisterClick()"></p-button>
              <p-button label="{{ '取消' | translate }}" styleClass="p-button-secondary"
                (click)="onCancelClick()"></p-button>
              <p-button label="{{ '完成' | translate }}" styleClass="p-button-primey" (click)="onSaveClick()"></p-button>
            </div>
          </div>

          <div class="content-layout">
            <div class="content-header">
              <!-- <his-opd-nhi-record
                [value]="medicalRecord"
                [options]="opdNhiRecordOptions"
              ></his-opd-nhi-record> -->

              <div class="change-layout" id="selectBtn">
                <p-selectButton [options]="selectOptions" [(ngModel)]="selectValue" optionLabel="icon"
                  (onChange)="onChangeLayout()">
                  <ng-template let-item pTemplate>
                    <span [class]="item.class">{{ item.label }}</span>
                  </ng-template>
                </p-selectButton>

                <p-toggleButton onIcon="material-symbols-outlined" offIcon="material-symbols-outlined"
                  (onChange)="onShowInfoSidebar()" [(ngModel)]="togBtnChecked" id="togBtn">
                </p-toggleButton>
              </div>
            </div>

            <div class="content-body">
              <ng-container *ngIf="showTemplate === 'list'; else contentOther"></ng-container>

              <ng-template #contentOther>
                <div class="content-other">
                  <!-- <his-vitalsign-list
                    [vitalSign]="vitalSign"
                    (vitalSignChange)="vitalSignChange()"
                  ></his-vitalsign-list> -->
                  <p-divider class="opd-order-divider"></p-divider>
                  <!-- <his-allergy-list></his-allergy-list> -->
                  <p-divider class="opd-order-divider"></p-divider>
                  <!-- <his-drug-remaining
                    [drugRemainingList]="drugRemainingList"
                  ></his-drug-remaining> -->
                </div>
              </ng-template>

              <div class="section">
                <p-tabView class="plan-tab" orientation="left">
                  <p-tabPanel header="S.O.A.P"></p-tabPanel>
                  <p-tabPanel header="開立醫囑">
                    <p-scrollPanel class="scroll">
                      <his-drug-order-editor [drugOrders]="signalDrugOrders"
                        [initDrugOrders]="drugOrdersBackup"></his-drug-order-editor>
                    </p-scrollPanel>
                  </p-tabPanel>
                </p-tabView>
              </div>
            </div>
          </div>
        </div>
      </ng-template>

      <!-- <ng-template #planTemplate>
        <p-tabView class="plan-tab" orientation="left">
          <p-tabPanel header="檢驗檢查及治療">
            <p-scrollPanel
              class="scroll"
            >
              <his-opd-exam-order
                [examOrders]="signalExamOrders"
                [initExamOrders]="examOrdersBackup"
                [updateTime]="completeTime"
                (sideMenuVisible)="openSideMenu()"
              ></his-opd-exam-order>
            </p-scrollPanel>
          </p-tabPanel>

          <p-tabPanel header="藥品處方">
            <p-scrollPanel
              class="scroll"
            >
             <his-opd-drug-order
                [drugOrders]="signalDrugOrders"
                [initDrugOrders]="drugOrdersBackup"
                [updateTime]="completeTime"
                (sideMenuVisible)="openSideMenu()"
              ></his-opd-drug-order>
            </p-scrollPanel>
          </p-tabPanel>
        </p-tabView>
      </ng-template> -->

      <!-- orders template -->
      <!-- <ng-template #ordersTemplate>
        <div class="orderBody">
          <div class="orderDiag">
            <his-diag-order
              class="mb-1"
              header="疾病診斷"
              [orders]="signalDiagOrders"
              (sideMenuVisible)="openSideMenu()"
            ></his-diag-order>
          </div>
          <p-divider class="tableDivider"/>
          <div class="orderExam">
            <his-opd-exam-order
              [examOrders]="signalExamOrders"
              [initExamOrders]="examOrdersBackup"
              (sideMenuVisible)="openSideMenu()"
              [scrollHeight]="'32vh'"
            ></his-opd-exam-order>
          </div>
          <p-divider class="tableDivider1"/>
          <div class="orderDrug">
            <his-opd-drug-order
              [drugOrders]="signalDrugOrders"
              [initDrugOrders]="drugOrdersBackup"
              [updateTime]="completeTime"
              (sideMenuVisible)="openSideMenu()"
              [scrollHeight]="'25vh'"
            ></his-opd-drug-order>
          </div>
        </div>
      </ng-template> -->

      <!-- Info Sidebar -->
      <ng-template pTemplate>
        <div class="panel-right" [ngClass]="{ 'close-sidebar': sidebarExpanded }">
          <div style="height: 100%">
            <his-info-sidebar class="info-sidebar" title="{{'臨床決策支援' | translate}}" firstDialogHeight="65vh"
              firstDialogWidth="94vw" secondDialogHeight="65vh" secondDialogWidth="94vw"
              [systemTemplateI]="systemTemplateI" [systemTemplateII]="systemTemplateII"
              [suggestionTemplate]="suggestionTemplate"></his-info-sidebar>
            <ng-template #systemTemplateI>
              <!-- <his-cdss></his-cdss> -->
            </ng-template>
            <ng-template #systemTemplateII>
              <!-- <his-cdss></his-cdss> -->
            </ng-template>
            <ng-template #suggestionTemplate>
              <!-- <his-order-suggestion></his-order-suggestion> -->
            </ng-template>
          </div>
        </div>
      </ng-template>
    </p-splitter>
    <div>
      <!-- help tab list *ngIf="helpTabs.length > 0"-->
      <!-- <his-help-tab-list
    [widthGrow]="sideMenuVisible"
    [tabList]="helpTabs"
    *ngIf="helpTabs.length > 0"
    ></his-help-tab-list> -->

    </div>
  </div>
</div>
